:root {
    --primary: #245dce;
    --secundary: #2596be;
    --blude: #050c54;
    --white: #FFF;
    --black: #000000;
    --mainSource: 'Poppins', sans-serif;
}
html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-family: var(--mainSource);
    font-size: 1.6rem;
    line-height: 1.8;
}
h1, h2, h3 {
    font-weight: 700;
    margin: 2rem 0;
}
h1 {
    font-size: 5rem;
}
h2 {
    font-size: 4.6rem;
}
h3 {
    font-size: 3rem;
}
a {
    text-decoration: none;
}
img {
    max-width: 100%;
    display: block;
}
[class$="__container"] {
    max-width: 120rem;
    margin: 0 auto;
    width: 90%;
}

[class$="__heading"] {
    text-align: center;
    margin-bottom: 5rem;
}

/* start of code */
.header {
    background-image: url(../img/10.png);
    background-repeat: no-repeat;
    background-position: top right;
    background-size: 15rem;
    padding: 5rem 0;
}

@media (min-width: 768px) {
    .header {
        background-size: 50rem;
    }
}

@media (min-width: 992px) {
    .header {
        background-size: 60rem;
    }
}

@media (min-width: 1280px) {
    .header {
        background-size: 95rem;
    }
}

@media (min-width: 768px) {
    .header_bar {
        display: flex;
        justify-content: space-between;
    }
}

.header_logo {
    width: 15rem;
    margin: 0 auto 3rem auto;
}

@media (min-width: 768px) {
    .header_logo {
        margin: 0;
    }

    .header_grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 4rem;
        align-items: center;
    }
}

.header__heading {
    font-size: 2rem;
    line-height: 1.2;
    max-width: 45rem;
}

@media (min-width: 768px) {
    .header__heading {
        text-align: left;
        font-size: 3.5rem;
    }
}

@media (min-width: 1280px) {
    .header_heading {
        text-align: left;
        font-size: 5rem;
    }
}

.header_image {
    margin: 0 auto;
    max-width: 15rem;
}

@media (min-width: 768px) {
    .header_image {
        max-width: 20rem;
    }
}

@media (min-width: 1280px) {
    .header_image {
        max-width: 30rem;
    }
}

.header_button {
    background-color: var(--primary);
    display: block;
    padding: 1rem;
    text-align: center;
    color: white;
    margin-bottom: 4rem;
    cursor: pointer;
    transition-property: background-color transform;
    transition-duration: .3s;
}

.header_button:hover {
    background-color: #1d4cb0;
}

.header_button:active {
    background-color: #183e94;
    transform: scale(0.95);
}

@media (min-width: 768px) {
    .header_button {
        padding: 1rem 3rem;
        display: inline-block;
    }
}

.navigation {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 768px) {
    .navigation {
        flex-direction: row;
        align-items: flex-start;
        gap: 2rem;
    }
}

.navigation_link {
    color: var(--primary);
 }

@media (min-width: 768px) {
    .navigation_link {
       color: var(--white);
    }
}

/* section description */

.main {
    margin-bottom: 5rem;
}

.create_grid {
    display: flex;
    flex-direction: column-reverse;
}

@media (min-width: 768px) {
    .create_grid {
        display: grid;
        grid-template-columns: 1fr;
        gap: 2rem;
        align-items: center;
    }
}

/* herrajes */

.grid_herrajes {
    margin-bottom: 5rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5rem;
}

@media (min-width: 768px) {
    .grid_herrajes {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
        column-gap: 5rem;
        align-items: center;
        justify-items: center;
    }
}

.herrajes {
    margin-bottom: 4rem;
}

.herrajes img {
    max-width: 20rem;
    margin: 0 auto;
}

/* cofres */

.img_cofres img {
    max-width: 30rem;
}

/* footer */
.footer {
    background-color: #0052b4;
    color: white;
    padding: 5rem 0 0;
}

.footer__container { 
    margin-bottom: 3rem;
}

@media (min-width: 768px) {
    .footer__grid {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        column-gap: 5rem;
        align-items: center;
    }
}

.logo {
   max-width: 20rem;
   margin: 0 auto; 
}

.footer__widget {
    margin-bottom: 2rem;
}

@media (min-width: 768px) {
    .footer__widget {
        margin-bottom: 0;
    }
}

.footer__widget h3 {
    text-align: left;
    margin-bottom: 3rem;
    line-break: anywhere;
    font-size: 2.5rem;
}

.footer__widget nav a {
    display: block;
    color: white;
}

.footer__data {
    display: flex;
    align-items: center;
}

.footer__data p {
    margin: 0;
}

.footer__data img {
    width: 1.5rem;
    height: 1.5rem;
    margin-right: 1rem;
}

.copyright {
    text-align: center;
    color: white;
    margin: 0 auto;
    border-top: 2px solid white;
    padding: 1rem;
    max-width: 120rem;
    font-size: 1.2rem;
    text-transform: uppercase;
}